<?php

namespace DNB;

class Assignment extends AbstractPostSerializable implements PostSerializableInterface {
    
    private string $number;
    private ?string $name;

    public function __construct(
        string $number,
        ?string $name = null
    ){
        $this->number = $number;
        $this->name = $name;
    }

    public function getName(): string {
        return $this->name;
    }

    public function toPostParams(): array {
        return [
            'assignmentNumber' => $this->number
        ];
    }
}
